module Vbax
  module BeckyThatcher
    class Engine < ::Rails::Engine
      initializer 'becky_thatcher.setup' do |app|
        app.config.assets.precompile += Dir.glob(config.root + 'app/assets/images/becky_thatcher/**/*').select{ |f| File.file? f }.map { |m| "becky_thatcher/" +  File.path(m).split("becky_thatcher/").last }
      end
    initializer 'becky_thatcher.sass' do |app|
      # Set the sass load paths
      app.config.sass.load_paths << File.join(config.root, "lib","vbax", "sass")

      # Set the add becky_thatcher/lib/sass to assets path
      app.config.assets.paths << File.join(config.root, "lib","vbax", "sass")
    end

  end
  end
end
